<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="baocaochitiet_cmsn" language="groovy" pageWidth="612" pageHeight="792" whenNoDataType="AllSectionsNoDetail" columnWidth="595" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0">
	<property name="ireport.zoom" value="1.5000000000000024"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<subDataset name="f01">
		<queryString>
			<![CDATA[select to_char(sysdate,'dd') as ngay_ht,to_char(sysdate,'mm') as thang_ht ,to_char(sysdate,'yyyy') as nam_ht  from dual]]>
		</queryString>
		<field name="NGAY_HT" class="java.lang.String"/>
		<field name="THANG_HT" class="java.lang.String"/>
		<field name="NAM_HT" class="java.lang.String"/>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="tungay" class="java.lang.String"/>
	<parameter name="denngay" class="java.lang.String"/>
	<parameter name="tinh" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ?:= admin_v2.ws_kenhchuoi.bc_tonghop('{p0tungay}','{p0denngay}','{p0tinh}','{p0loai_sim}') ;end;]]>
	</queryString>
	<field name="userid" class="java.lang.String"/>
	<field name="matinh" class="java.lang.String"/>
	<field name="sl" class="java.lang.Number"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="158" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="74" width="612" height="23"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="16" isBold="true"/>
				</textElement>
				<text><![CDATA[BÁO CÁO  ĐỐI SOÁT - TỔNG HỢP]]></text>
			</staticText>
			<staticText>
				<reportElement x="157" y="127" width="144" height="31"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="10" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Chuỗi]]></text>
			</staticText>
			<staticText>
				<reportElement x="301" y="127" width="93" height="31"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="10" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tỉnh/TP]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="157" y="99" width="144" height="17" forecolor="#000000" backcolor="#FFFFFF"/>
				<textElement textAlignment="Right" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Times New Roman" size="11" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Thời gian từ]]></text>
			</staticText>
			<textField>
				<reportElement x="301" y="99" width="185" height="17"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="11"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{tungay}+" - "+$P{denngay}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="394" y="127" width="92" height="31"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="10" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Số lượng sim]]></text>
			</staticText>
			<staticText>
				<reportElement x="301" y="29" width="185" height="16"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Độc lập tự do hạnh phúc]]></text>
			</staticText>
			<staticText>
				<reportElement x="301" y="45" width="185" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="Times New Roman" size="12" isBold="false"/>
				</textElement>
				<text><![CDATA[-------------o0o-------------]]></text>
			</staticText>
			<staticText>
				<reportElement x="301" y="10" width="185" height="19"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Cộng hòa xã hội chủ nghĩa việt Nam]]></text>
			</staticText>
			<image>
				<reportElement x="90" y="10" width="211" height="38"/>
				<imageExpression class="java.lang.String"><![CDATA["images\\vinaphone_logo.png"]]></imageExpression>
			</image>
		</band>
	</title>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="20" splitType="Stretch">
			<textField>
				<reportElement x="157" y="0" width="144" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{userid}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="301" y="0" width="93" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{matinh}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0">
				<reportElement x="394" y="0" width="92" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression class="java.lang.Number"><![CDATA[$F{sl}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="20" splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="18" splitType="Stretch">
			<textField>
				<reportElement x="394" y="0" width="92" height="18"/>
				<textElement/>
				<textFieldExpression class="java.lang.String"><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band height="18" splitType="Stretch"/>
	</summary>
</jasperReport>
